search.h File Reference

C++ API: SearchIterator object. More...

`#include "unicode/utypes.h"`
`#include "unicode/uobject.h"`
`#include "unicode/unistr.h"`
`#include "unicode/chariter.h"`
`#include "unicode/brkiter.h"`
`#include "unicode/usearch.h"`

Go to the source code of this file.

## Data Structures

class | icu::SearchIterator
| `SearchIterator` is an abstract base class that provides methods to search for a pattern within a text string. More...

## Namespaces

| icu
| File coll.h.

## Typedefs

typedef struct USearch | USearch

## Detailed Description

C++ API: SearchIterator object.

Definition in file search.h.

## Typedef Documentation

## USearch

typedef struct USearch USearch

Stable:
  ICU 2.0

Definition at line 1 of file search.h.